PUT /api/v3/place/{placeId}/energyStar/link

Edit the ENERGY STAR linking information for this place and its meters. Set PmPropertyId/PmMeterId to null to unlink a property/meter. Set PmMeterId to -1 to auto-create a new meter.

EditEnergyStarPlaceLinkV3 Permissions: BuildingsAndOrganizations (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
placeId The place identifier integer (int32) Required

Request Body

EnergyStarPlaceLinkRequest
Property Description Type
commodities List of commodity links for this place If PmPropertyId is null to unlink the place then Commodities should be null.
All commodities under the place will be unlinked automatically. Required (defined) Only one of Meters, Commodities can be set
EnergyStarCommodityLinkRequest[]
EnergyStarCommodityLinkRequest properties
Property Description Type
commodityId The commodity identifier Required integer (int32)
pmMeterId The Portfolio Manager meter identifier. Set to null to unlink meter. Required (defined) integer (int64)
meters List of meter links for this place If PmPropertyId is null to unlink the place then Meters should be null.
All meters under the place will be unlinked automatically. Required (defined) Only one of Meters, Commodities can be set
EnergyStarMeterLinkRequest[]
EnergyStarMeterLinkRequest properties
Property Description Type
meterId The meter identifier Required integer (int32)
pmMeterId The Portfolio Manager meter identifier. Set to null to unlink meter. Required (defined) integer (int64)
pmPropertyId The Portfolio Manager property identifier. Set to null to unlink place. Required (defined) integer (int64)
Example Request Body application/json
{  "commodities": [
    {    "commodityId": 1,    "pmMeterId": 1
  }
  ],  "meters": [
    {    "meterId": 1,    "pmMeterId": 1
  }
  ],  "pmPropertyId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EnergyStarPlaceLinkResponse
Property Description Type
commodities List of commodities for this place EnergyStarCommodityLinkChild[]
EnergyStarCommodityLinkChild properties
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
energyStarCompatible Indicates if the commodity is compatible with ENERGY STAR boolean
pmMeterId The Portfolio Manager meter identifier integer (int64)
meters List of meters for this place EnergyStarMeterLinkChild[]
EnergyStarMeterLinkChild properties
Property Description Type
costPerDay The meter’s average cost per day number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
energyStarCompatible Is this meter’s commodity ENERGY STAR-compatible? boolean
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
pmMeterId The Portfolio Manager meter identifier integer (int64)
usePerDay The meter’s average use per day number (double)
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
pmPropertyId una co The Portfolio Manager property identifier integer (int64)
submitMode The submit mode. Could be “Meter” or “Commodity” string
Example Response application/json
{  "commodities": [
    {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "energyStarCompatible": false,    "pmMeterId": 1
  }
  ],  "meters": [
    {    "costPerDay": 1.0,    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "energyStarCompatible": false,    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "pmMeterId": 1,    "usePerDay": 1.0,    "useUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  }
  ],  "place": {    "isDataRolledUp": false,    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  },  "pmPropertyId": 1,  "submitMode": "string"
}